Bug 240639 - (perl-URI-Fetch) Review Request: perl-URI-Fetch - Smart URI fetching/caching
Review Request: perl-URI-Fetch - Smart URI fetching/caching
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
Depends On:
  Show dependency treegraph
Reported: 2007-05-18 23:18 EDT by Chris Weyl
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-05-27 20:59:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
petersen: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2007-05-18 23:18:15 EDT
SRPM URL: http://home.comcast.net/~ckweyl/perl-URI-Fetch-0.08-1.fc6.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-URI-Fetch.spec

URI::Fetch is a smart client for fetching HTTP pages, notably syndication
feeds (RSS, Atom, and others), in an intelligent, bandwidth and time
saving way.
Comment 1 Steven Pritchard 2007-05-21 18:10:48 EDT
Did you mean for t/ to be included in %doc?
Comment 2 Chris Weyl 2007-05-21 18:55:10 EDT
Yep -- I'm finding tests make useful documentation (among other things), and
generally think it's nice to be able to run the same test suite
post-installation that a package was built with.  This is a recent change of
direction for me...
Comment 3 Jason Tibbitts 2007-05-26 18:17:02 EDT
I think you also need a build dependency on Test::More, although I guess the
tests are disabled by default so perhaps there's no point in that.  I've no idea
if you could have a conditional build dependency.

I ran the tests manually and they ran fine.

* source files match upstream:
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper (perhaps Test::More if the tests were enabled)
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* rpmlint is silent.
* final provides and requires are sane:
   perl(URI::Fetch) = 0.08
   perl-URI-Fetch = 0.08-1.fc7
* %check is present, but tests are necessarily disabled. All tests pass when run 
   All tests successful.
   Files=3, Tests=88,  8 wallclock secs ( 0.30 cusr +  0.06 csys =  0.36 CPU)
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

Comment 4 Patrice Dumas 2007-05-27 04:34:55 EDT
I also packaged that locally and this is better than my packaging.
Comment 5 Chris Weyl 2007-05-27 13:51:20 EDT
I'll add Test::More in wrapped in a conditional construct.  It works if you're
very careful with spacing, e.g. %{?foo:BuildRequires...  not %{?foo:
Comment 6 Chris Weyl 2007-05-27 13:51:37 EDT
New Package CVS Request
Package Name: perl-URI-Fetch
Short Description: Smart URI fetching/caching
Owners: cweyl@alumni.drew.edu
Branches: FC-5, FC-6, devel
InitialCC: fedora-perl-devel-list@redhat.com
Comment 7 Jens Petersen 2007-05-27 20:16:54 EDT
added FC-6 and F-7 branches (fc5 is now in maintenance mode)
Comment 8 Chris Weyl 2007-05-27 20:59:32 EDT
Imported and building.  Thanks for the review!

Note You need to log in before you can comment on or make changes to this bug.